import { ISequelizeAdapter, SequelizeAdapter } from "./SequelizeAdapter";
import { createSequelizeQueryBuilder } from "./queryBuilder";

const createSequelizeAdapter = () => {
  return SequelizeAdapter.getInstance({
    queryBuilder: createSequelizeQueryBuilder(),
  });
};

export { ISequelizeAdapter, createSequelizeAdapter };

export * from "./SequelizeRepository";
